module PersonalActivity
  class Engine < ::Rails::Engine
    initializer "personal_activity" do
      OrbitApp.registration "PersonalActivity",:type=> 'ModuleApp' do
        module_label 'module_name.personal_activity'
        base_url File.expand_path File.dirname(__FILE__)
        personal_plugin :enable => true, :sort_number => '20', :app_name=>"Activity", :intro_app_name=>"PersonalActivityIntro",:path=>"/plugin/personal_activity/profile",:front_path=>"/profile",:admin_path=>"/admin/activities",:i18n=>'module_name.personal_activity', :module_app_name=>'PersonalActivity', :one_line_title => true, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/activities/analysis"

        version "0.1"
        desktop_enabled true
        organization "Rulingcom"
        author "RD dep"
        intro "I am intro"
        update_info 'some update_info'

        frontend_enabled
        data_count 1..30
        icon_class_no_sidebar "icons-user"
      end
    end
  end
end
